* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-size: 0.8vw;
}

body {
  font-family: 'Roboto', sans-serif;
}

header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 1rem 2rem;
  background-color: transparent;
  top: 0;
  position: fixed;
  width: 100%;
  z-index: 10;
  transition: box-shadow 0.6s ease, background-color 0.6s ease, padding 0.6s ease, color 0.6s ease;
  font-size: 1.5rem;
}

#main,
#about,
#services,
#advantages,
#contacts {
  scroll-margin-top: 7rem;
}

.logo img {
  height: 5rem;
  transition: height 0.4s ease;
}

nav {
  display: flex;
  align-items: center;
}

.nav-list {
  display: flex;
  list-style: none;
}

.nav-list li {
  margin-left: 1.5em;
  position: relative;
  background-color: rgba(255, 255, 255, 0.5);
  padding: 0.2em 1em;
  border-radius: 40px;
  font-size: 1.2em;
  color: #164C34;
  border: 2px solid rgba(255, 255, 255, 0);
  transition: background-color 0.4s ease, color 0.4s ease, border 0.4s ease;
}

.nav-list li:hover {
  color: black;
}

.nav-list a {
  text-decoration: none;
  color: inherit;
  transition: background-color 0.4s ease, color 0.1s ease, border 0.4s ease;
}

.nav-list li.scrolled.active,
.nav-list li.scrolled:hover {
  color: #164C34;
  background-color: white;
  border: 2px solid #164C34;
}

header.scrolled {
  box-shadow: 0 2px 15px 0 rgba(0, 0, 0, 0.6);
  background-color: white;
  padding: 0.5rem 2rem;
  transition: box-shadow 0.4s ease, background-color 0.6s ease, padding 0.6s ease, color 0.6s ease;
}

header.show.scrolled {
  transition: box-shadow 0.4s ease, background-color 0.6s ease;
}

header.show {
  transition: box-shadow 0.4s ease, background-color 0.6s ease;
}

.logo img.scrolled {
  height: 3rem;
  transition: height 0.3s ease;
}

.nav-list li.scrolled {
  background-color: #164C34;
  color: #fff;
}

/*.language-selector {
  cursor: pointer;
  color: #164C34;
}

.language-selector .dropdown {
  display: none;
  position: absolute;
  top: 100%;
  right: 0;
  list-style: none;
  color: white;
}

.language-selector:hover {
  color: black;
}

.language-selector:hover .dropdown {
  display: block;
  padding: 2px;
}

.language-selector .dropdown li {
  font-size: 1em;
  padding: 0.2em 0.5em;
  margin: 0;
}

.language-selector li {
  display: flex;
  align-items: center;
  justify-content: center;
}

.language-selector li:hover {
  color: #000000;
}*/

.burger-menu {
  display: none;
}

#checkbox {
  display: none;
}

.main-banner-container {
  position: relative;
  width: 100%;
  height: 100vh;
  overflow: hidden;
}

.img-banner {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 0;
}

.img-banner img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  filter: brightness(100%);
  transition: filter 1.5s ease-out;
}

.img-banner img.dim {
  filter: brightness(55%);
}

.banner-text {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 1;
  text-align: center;
  color: white;
  padding: 20px;
  font-size: 3rem;
  width: 100%;
}

header,
.banner-text {
  opacity: 0;
  transition: opacity 1.5s ease-out;
}

header.show,
.banner-text.show {
  opacity: 1;
}

.banner-text h2 {
  font-family: 'Sputnik', sans-serif;
  margin-top: 0.5em;
  font-size: 3.5em;
}


.banner-text .notice {
  font-size: 1em;
  color: white;
  margin: 0.5em 0 4em 0;
}

.button {
  display: flex;
  width: fit-content;
  margin: 0 auto;
  align-items: center;
  justify-content: center;
  background-color: rgba(22, 76, 52, 0.5);
  color: white;
  padding: 0 0.5em 0 0;
  border-radius: 50px;
  font-size: 0.9em;
  text-decoration: none;
  transition: background-color 0.4s, transform 0.4s ease-in-out;
  position: relative;
}

.button:hover {
  background-color: rgba(22, 76, 52, 0.7);
  transform: scale(1.05);
}

.button img {
  margin-right: 0.4em;
  width: 2em;
  height: 2em;
  background-color: #164C34;
  padding: 0.3em;
  border-radius: 50%;
  transition: transform 0.4s ease-in-out;
}

.button:hover img {
  animation: shake 3s ease-in-out infinite;
}

@keyframes shake {
  0%, 100% {
    transform: translateY(0);
  }
  10%, 30%, 50%, 70%, 90% {
    transform: translateY(-3px);
  }
  20%, 40%, 60%, 80% {
    transform: translateY(3px);
  }
}

/*--about-us--*/

.about-us-container {
  margin: 7em 0;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 1.3rem;
  position: relative;
}


.block-about-us {
  z-index: 2;
  display: flex;
  width: 90%;
}

.block-about-us-img {
  width: 50%;
  height: auto;
  object-fit: cover;
  border-radius: 10px;
  opacity: 0;
  transform: translateX(100px) scale(0.6);
  transition: opacity 1s ease, transform 1s ease;
}

.block-about-us-img.visible {
  opacity: 1;
  transform: translateX(0) scale(1);
}

.text-content-about {
  width: 50%;
  padding: 3em;
  font-size: 1.4em;
  text-align: justify;
  opacity: 0;
  transform: translateX(-100px) scale(0.6);
  transition: opacity 1s ease, transform 1s ease;
}

.text-content-about.visible {
  opacity: 1;
  transform: translateX(0) scale(1);
}

.text-content-about .company {
  font-weight: bold;
  color: #164C34;
  opacity: 0.6;
  font-size: 3.5em;
  margin-bottom: 0.5em;
  font-family: 'Sputnik', sans-serif;
}

/*.text-content-about .leader{
  font-size: 1.5em;
  margin-bottom: 1em;
  text-align: left;
}*/

.text-content-about .text {
  margin-bottom: 2em;
}

.text-content-about .company,
.text-content-about .leader,
.button .border,
.text-content-about .text {
  opacity: 0;
  transform: translateY(20px);
  transition: opacity 0.6s ease, transform 0.6s ease;
}

.text-content-about.visible .company {
  opacity: 1;
  transform: translateY(0);
  transition-delay: 0.3s;
}

.text-content-about.visible .text {
  opacity: 1;
  transform: translateY(0);
  transition-delay: 0.5s;
}

.button.border {
  opacity: 1;
  transform: translateY(0);
  transition-delay: 2.7s;
}

.button.border {
  color: #164C34;
  background-color: rgba(255, 255, 255, 0);
  border: 0.1em solid #164C34;
  font-size: 1.4em;
  border-radius: 1000px;
}

.button.border img {
  border: 0.1em solid white;
}


/*--services-container--*/

.services-container {
  margin: 7em 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  height: auto;
  font-size: 1.3rem;
  color: white;
}

.services-main-text {
  font-size: 3.5em;
  margin-bottom: 1em;
  font-weight: bold;
  opacity: 0;
  transform: translateY(100px) scale(0.8);
  transition: opacity 1s ease, transform 1s ease;
  color: #164C34;
  font-family: 'Sputnik', sans-serif;
}

.services-main-text.visible {
  opacity: 1;
  transform: translateY(0) scale(1);
}

.services-cards {
  display: flex;
  justify-content: center;
  gap: 2em;
  opacity: 0;
  transform: translateY(100px) scale(0.8);
  transition: opacity 1s ease, transform 1s ease;
}

.services-cards.visible {
  opacity: 1;
  transform: translateY(0) scale(1);
}

.services-card {
  width: 20vw;
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: #164C34;
  border-radius: 10px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
  transition: transform 0.3s;

  position: relative;
  overflow: hidden;
}

.services-description {
  flex-grow: 1;
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  background: #164C34;
  color: white;
  padding: 1em;
  transform: translateY(100%);
  transition: transform 0.3s ease;
  text-align: center;
  font-size: 1.4rem;
  border-radius: 0 0 10px 10px;
}

.services-card:hover .services-description {
  transform: translateY(0);
}

.services-card:hover {
  transform: scale(1.05);
}

.services-card img {
  width: 100%;
  height: auto;
  margin-bottom: 0.5em;
  border-radius: 10px 10px 0 0;
}

.services-card p {
  padding: 0.7em;
  font-size: 1.4em;
  color: white;
  font-weight: bold;
  margin: 0;
}

/*.services-container {
  margin: 7em 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  font-size: 1.3rem;
  color: white;
}

.services-main-text {
  font-size: 3.5em;
  margin-bottom: 1em;
  font-weight: bold;
  opacity: 0;
  transform: translateY(100px) scale(0.8);
  transition: opacity 1s ease, transform 1s ease;
  color: #164C34;
  font-family: 'Sputnik', sans-serif;
}

.services-main-text.visible {
  opacity: 1;
  transform: translateY(0) scale(1);
}

.services-cards {
  display: flex;
  justify-content: center;
  gap: 3em;
  opacity: 0;
  transform: translateY(100px) scale(0.8);
  transition: opacity 1s ease, transform 1s ease;
}

.services-cards.visible {
  opacity: 1;
  transform: translateY(0) scale(1);
}

.card {
  width: 18vw;
  display: flex;
  flex-direction: column;
  align-items: center;
  border-radius: 10px;
  perspective: 1000px;
}

.card-inner {
  width: 100%;
  height: auto;
  display: flex;
  flex-direction: column;
  position: relative;
  transform-style: preserve-3d;
  transition: transform 0.999s;
}

.card:hover .card-inner {
  transform: rotateY(180deg);
}

.card-front,
.card-back {
  position: absolute;
  width: 100%;
  height: 100%;
  backface-visibility: hidden;
  box-sizing: border-box;
}

.services-card {
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: #164C34;
  border-radius: 10px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
}

.card-front {
  flex-direction: column;
  align-items: center;
  border-radius: 10px;
  display: flex;
  transform: rotateY(0deg);
}

.card-front img {
  width: 100%;
  height: auto;
  margin-bottom: 0.5em;
  border-radius: 10px 10px 0 0;
}

.card-front p {
  padding: 0.5em;
  font-size: 1.4em;
  color: white;
  font-weight: bold;
  margin: 0;
}

.card-back {
  display: flex;
  background-color: #F08A5D;
  color: #fff;
  align-items: center;
  border: 10px solid #F08A5D;
  border-radius: 10px;
  justify-content: center;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
  transform: rotateY(180deg);
}*/

/*--advantages--*/

.advantages-container {
  margin: 7em 0;
  text-align: center;
  font-size: 1.3rem;
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  height: auto;
}

.advantages-container-h2 {
  font-family: 'Sputnik', sans-serif;
  color: #164C34;
  font-size: 3.5em;
  margin-bottom: 1em;
  opacity: 0;
  transform: translateY(100px) scale(0.6);
  transition: opacity 1s ease, transform 1s ease;
}

.advantages-container-h2.visible {
  opacity: 1;
  transform: translateY(0) scale(1);
}

.advantage-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 3em;
  max-width: 90%;
  margin: 0 auto;
  opacity: 0;
  transform: translateY(100px) scale(0.6);
  transition: opacity 1s ease, transform 1s ease;
}

.advantage-grid.visible {
  opacity: 1;
  transform: translateY(0) scale(1);
}

.advantage-item {
  background-color: #ffffff;
  border-radius: 15px;
  box-shadow: 0 10px 20px rgba(0, 0, 0, 0.1);
  padding: 1.3em;
  transition: transform 0.3s, box-shadow 0.3s;
  position: relative;
  overflow: hidden;
}

.advantage-item:hover {
  transform: translateY(-10px);
  box-shadow: 0 15px 30px rgba(0, 0, 0, 0.15);
}


.icon-container {
  display: flex;
  border: 0.2em solid #164C34;
  border-radius: 50px;
  align-items: center;
}

.icon-container img {
  width: 4em;
  height: 4em;
  padding: 0.5em;
  border-radius: 50%;
  background-color: #164C34;
  border: 0.2em solid white;
  margin-right: 0.4em;
}

.advantage-content {
  margin-top: 10px;
  text-align: left;
}

.icon-container h3 {
  font-size: 1.8em;
  color: #164C34;
}

.advantage-content p {
  margin-top: 1em;
  font-size: 1.2em;
  color: black;
  line-height: 1.6em;
}

/*--form--*/

.form-container {
  margin: 3em 0 0 0;
  font-size: 1.3rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  height: auto;
  padding: 2em 0;
  color: black;
}

.form-container-h2 {
  font-family: 'Sputnik', sans-serif;
  color: #164C34;
  font-size: 3.5em;
  margin-bottom: 1em;
  opacity: 0;
  transform: translateY(100px) scale(0.8);
  transition: opacity 1s ease, transform 1s ease;
}

.form-container-h2.visible {
  opacity: 1;
  transform: translateY(0) scale(1);
}

.contact-block {
  display: flex;
  width: 100%;
  align-items: center;
  justify-content: center;
  gap: 2em;
}

.form-container-contacts {
  padding: 1em;
  width: 30%;
  text-align: left;
  color: black;
  position: relative;

  opacity: 0;
  transform: translateX(100px) scale(0.8);
  transition: opacity 0.5s ease, transform 0.5s ease;
}

.form-container-contacts.visible {
  opacity: 1;
  transform: translateY(0) scale(1);
}

.contact-item {
  margin: 1em 0;
  display: flex;
  align-items: center;
}

.contact-item a {
  text-decoration: none;
  display: inline-flex;
  align-items: center;
}

.contact-icon {
  width: 3em;
  height: 3em;
  background-color: #164C34;
  border-radius: 50%;
  margin-right: 1em;
  display: inline-block;
  background-size: 2em;
  background-repeat: no-repeat;
  background-position: center;
  padding: 0.5em;
  transition: background 0.3s, transform 0.3s;
}

.contact-item a:hover .contact-icon {
  background-color: black;
  transform: scale(1.1);
}

.contact-item a:hover .contact-icon {
  background-color: black;
}

.contact-item a {
  font-size: 1.4em;
  color: #164C34;
  text-decoration: none;
  transition: color 0.3s;
}

.contact-item a:hover {
  color: black;
}

.email-icon {
  background-image: url('../img/mail.svg');
}

.phone-icon {
  background-image: url('../img/phone.svg');
}

.location-icon {
  background-image: url('../img/map.svg');
}

.working-hours h3 {
  margin: 1em 0 0.5em;
}

.working-hours p {
  font-size: 1.4em;
  margin: 0;
}

.social-media h3 {
  margin: 1em 0 0.5em;
}

.social-icon {
  display: inline-block;
  width: 3.5em;
  height: 3.5em;
  border-radius: 50%;
  background-color: #164C34;
  margin: 0 1em;
  transition: background 0.3s, transform 0.3s;
  background-repeat: no-repeat;
  background-position: center;
  background-size: 2.5em;
}

.social-icon:hover {
  background-color: black;
  transform: scale(1.1);
}

.linkedin-icon {
  background-image: url('../img/linkedin.svg');
}

.instagram-icon {
  background-image: url('../img/instagram.svg');
}

.form {
  border: 0.2em solid #164C34;
  position: relative;
  display: flex;
  align-items: flex-start;
  flex-direction: column;
  gap: 1em;
  width: 30%;
  background-color: white;
  padding: 1.5em;
  border-radius: 10px;
  box-shadow: 0 30px 30px -30px rgba(27, 26, 26, 0.315);

  opacity: 0;
  transform: translateY(200px) scale(0.8);
  transition: opacity 1s ease, transform 1s ease;
}

.form.visible {
  opacity: 1;
  transform: translateY(0) scale(1);
}

.form .title {
  animation: pulse 2s infinite;
  color: #164C34;
  font-size: 1.5em;
  font-weight: 600;
  letter-spacing: -1px;
  line-height: 1em;
  display: flex;
  align-items: center;
  justify-content: center;
}

@keyframes pulse {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.05);
  }
  100% {
    transform: scale(1);
  }
}

.form input {
  font-size: 1.2em;
  outline: 0;
  border: 1px solid rgb(219, 213, 213);
  padding: 8px 14px;
  border-radius: 8px;
  width: 100%;
  height: 2em;
  transition: all 0.3s ease;
}

.form input:focus,
.form textarea:focus {
  border-color: #164C34;
  transform: scale(1.02);
}

.form textarea {
  font-size: 1.2em;
  border-radius: 8px;
  height: 5em;
  width: 100%;
  resize: none;
  outline: 0;
  padding: 8px 14px;
  border: 1px solid rgb(219, 213, 213);
  transition: all 0.3s ease;
}

.form button {
  align-self: flex-end;
  padding: 0.6em;
  outline: 0;
  border: 0;
  border-radius: 8px;
  font-size: 1.2em;
  font-weight: 500;
  background-color: #164C34;
  color: #fff;
  cursor: pointer;
  transition: background-color 0.3s, transform 0.3s;
}

.form button:hover {
  background-color: #469d76;
  transform: scale(1.05);
}

@media (max-width: 1280px) {
  /*  html {
      font-size: 10px;
    }*/
}

@media (max-width: 768px) {
  html {
    font-size: 2.5vw;
  }

  .logo img {
    height: 3rem;
  }

  #main,
  #about,
  #services,
  #advantages,
  #contacts {
    scroll-margin-top: 4rem;
  }

  .nav-list {
    height: 0;
    overflow: hidden;
    transform: scaleY(0);
    transform-origin: top;
    transition: transform 0.3s ease-in-out, height 0.3s ease-in-out;
    flex-direction: column;
    background-color: white;
    position: absolute;
    top: 100%;
    right: 0;
    width: 100%;
    z-index: 10;
    font-size: 1.8em;
  }

  .no-scroll {
    overflow: hidden;
  }

  #checkbox:checked + .toggle + .nav-list {
    height: 100vh;
    transform: scaleY(1);
    background-color: white;
  }

  .nav-list li {
    padding: 0.3em 0;
    margin: 0;
    text-align: center;
  }

  .nav-list li.scrolled {
    background-color: white;
    color: #164C34;
  }

  /*.language-selector {
    cursor: pointer;
    color: black;
    transition: color 0.3s;
    position: relative;
  }

  .language-selector .dropdown {
    margin: 2px;
    border: none;
    display: none;
    background-color: #fff;
    list-style: none;
    !*margin: 0;*!
    padding: 0;
    width: 100%;
    z-index: 10;
    transform: translateY(-10px);
    transition: transform 0.3s ease-in-out, opacity 0.3s ease-in-out;
    opacity: 0;
  }

  .language-selector .dropdown.show {
    display: block;
    transform: translateY(0);
    opacity: 1;
  }

  .language-selector:hover {
    color: #007bff;
  }

  .language-selector .dropdown li {
    padding: 0.5em 1em;
    margin: 0;
  }

  .language-selector .dropdown li a {
    color: black;
  }

  .language-selector .dropdown li a:hover {
    color: #007bff;
  }*/



  #checkbox {
    display: none;
  }

  .toggle {
    position: relative;
    width: 2.5em;
    height: 2.5em;
    cursor: pointer;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    gap: 10px;
    transition-duration: .5s;
  }

  .bars {
    width: 100%;
    height: 4px;
    background-color: #164C34;
    border-radius: 4px;
  }

  #bar2 {
    transition-duration: .8s;
  }

  #bar1 {
    width: 50%;
  }

  #bar2 {
    width: 75%;
  }

  #checkbox:checked + .toggle .bars {
    position: absolute;
    transition-duration: .5s;
  }

  #checkbox:checked + .toggle #bar2 {
    transform: scaleX(0);
    transition-duration: .1s;
  }

  #checkbox:checked + .toggle #bar1 {
    width: 100%;
    transform: rotate(45deg);
    transition-duration: .5s;
  }

  #checkbox:checked + .toggle #bar3 {
    width: 100%;
    transform: rotate(-45deg);
    transition-duration: .5s;
  }

  #checkbox:checked + .toggle {
    transition-duration: .5s;
    transform: rotate(180deg);
  }

  #checkbox:checked ~ .nav-list {
    bottom: 0;
  }

  .img-banner {
    width: 100%;
    height: 100vh;
    position: relative;
  }

  .banner-text h2 {
    font-size: 2em;
  }

  .banner-text .notice {
    font-size: 1em;
  }

  .banner-text .advantages .checkmark {
    width: 2em;
    height: 2em;
  }

  /*--about-us--*/

  .about-us-container {
    height: auto;
    padding: 4em 0 0 0;
    margin: 0;
  }


  .block-about-us {
    flex-direction: column;
    align-items: center;
    position: relative;
    width: 100%;
  }

  .text-content-about {
    width: 100%;
    padding: 0;
    text-align: left;
    z-index: 2;
    color: white;
  }

  .block-about-us-img {
    width: 100%;
    margin: 0;
    filter: brightness(45%);
  }

  .text-content-about .company {
    padding: 0;
    margin-bottom: 0;
    text-align: center;
    font-size: 2.5em;
  }

  .absolut-text-content{
    position: absolute;
  }

  .text-content-about .text {
    position: relative;
    z-index: 1;
    padding: 1em;
    margin: 0;
  }

  .button.border {
    position: relative;
    z-index: 1;
    color: white;
  }

  .button.border img {
    border: 0.1em solid #164C34;
  }


  /*--services-container--*/

  .services-container {
    margin: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    height: auto;
    font-size: 1.3rem;
    color: white;
  }

  .services-main-text {
    font-size: 2.5em;
    margin: 2em 0 1em 0;
    font-weight: bold;
    opacity: 0;
    transform: translateY(10vw) scale(0.8);
    transition: opacity 1s ease, transform 1s ease;
  }

  .services-main-text.visible {
    opacity: 1;
    transform: translateY(0) scale(1);
  }

  .services-cards {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 1em;
    opacity: 0;
    transform: translateY(10vw) scale(0.8);
    transition: opacity 1s ease, transform 1s ease;
  }

  .services-cards.visible {
    opacity: 1;
    transform: translateY(0) scale(1);
  }

  .services-card {
    width: 45%;
    display: flex;
    flex-direction: column;
    align-items: center;
    border-radius: 10px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
    transition: transform 0.3s;
  }

  .services-card:hover {
    transform: scale(1.05);
  }

  .services-card img {
    width: 100%;
    height: auto;
    margin-bottom: 0.5em;
    border-radius: 10px 10px 0 0;
  }

  .services-card p {
    padding: 0.5em;
    font-size: 1.2em;
    font-weight: bold;
    margin: 0;
  }

  /*--advantages--*/
  .advantages-container {
    text-align: center;
    font-size: 1.3rem;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    height: auto;
    margin: 0;
  }

  .advantages-container-h2 {
    margin: 2em 0 0 0;
  }

  .advantage-grid {
    display: flex;
    flex-direction: column;
    grid-template-columns: repeat(2, 1fr);
    gap: 1em;
    max-width: 95%;
    margin: 0 auto;
    opacity: 0;
    transform: translateY(10vw) scale(0.6);
    transition: opacity 1s ease, transform 1s ease;
  }

  .advantage-grid.visible {
    opacity: 1;
    transform: translateY(0) scale(1);
  }

  .advantage-item {
    padding: 1.3em;
    transition: transform 0.3s, box-shadow 0.3s;
    position: relative;
    overflow: hidden;
  }

  .advantage-item:hover {
    transform: translateY(-10px);
    box-shadow: 0 15px 30px rgba(0, 0, 0, 0.15);
  }


  .icon-container {
    padding: 0.2em;
  }

  .icon-container img {
    width: 3.5em;
    height: 3.5em;
  }

  .advantage-content {
    margin-top: 10px;
    text-align: left;
  }

  .advantage-content h3 {
    font-size: 1.5em;
  }

  .advantage-content p {
    font-size: 1.2em;
    line-height: 1.6em;
  }

  /*--form--*/
  .form-container {
    margin: 0;
    font-size: 1.3rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    height: auto;
    padding: 5em 0;
    color: white;
  }

  .form-container-h2 {
    font-size: 2.5em;
    margin-bottom: 0.5em;
    opacity: 0;
    transform: translateY(10vw) scale(0.8);
    transition: opacity 1s ease, transform 1s ease;
  }

  .form-container-h1.visible {
    opacity: 1;
    transform: translateY(0) scale(1);
  }

  .contact-block {
    display: flex;
    flex-direction: column-reverse;
    width: 100%;
    align-items: center;
    justify-content: center;
    gap: 2em;
  }

  .form-container-contacts {
    padding: 0 1em;
    border-radius: 20px;
    width: 90%;
    text-align: left;
    position: relative;

    opacity: 0;
    transform: translateX(10vw) scale(0.8);
    transition: opacity 0.5s ease, transform 0.5s ease;
  }

  .form-container-contacts.visible {
    opacity: 1;
    transform: translateY(0) scale(1);
  }

  .contact-item {
    margin: 1em 0;
    display: flex;
    align-items: center;
  }

  .contact-item a {
    text-decoration: none;
    display: inline-flex;
    align-items: center;
  }

  .contact-icon {
    width: 3em;
    height: 3em;
    padding: 0.5em;
  }

  .contact-item a {
    font-size: 1.2em;
    /*color: #95CA32;*/
    text-decoration: none;
    transition: color 0.3s;
  }

  .working-hours h3 {
    margin: 1em 0 0.5em;
  }

  .working-hours p {
    font-size: 1.2em;
    margin: 0;
  }

  .social-media h3 {
    margin: 1em 0 0.5em;
  }

  .social-icon {
    display: inline-block;
    width: 3.5em;
    height: 3.5em;
    margin: 0 1em;
    transition: background 0.3s, transform 0.3s;
    background-repeat: no-repeat;
    background-position: center;
    background-size: 2.5em;
  }

  .form {
    position: relative;
    display: flex;
    align-items: flex-start;
    flex-direction: column;
    gap: 1em;
    width: 90%;
    background-color: white;
    padding: 1.5em;
    border-radius: 10px;
    box-shadow: 0 30px 30px -30px rgba(27, 26, 26, 0.315);

    opacity: 0;
    transform: translateY(20vh) scale(0.8);
    transition: opacity 1s ease, transform 1s ease;
  }

  .form.visible {
    opacity: 1;
    transform: translateY(0) scale(1);
  }

  .form .title {
    animation: pulse 2s infinite;
    /*color: royalblue;*/
    font-size: 1.5em;
    font-weight: 600;
    letter-spacing: -1px;
    line-height: 1em;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .form input {
    font-size: 1.2em;
    outline: 0;
    padding: 8px 14px;
    border-radius: 8px;
    width: 100%;
    height: 2em;
    transition: all 0.3s ease;
  }

  .form textarea {
    font-size: 1.2em;
    border-radius: 8px;
    height: 5em;
    width: 100%;
    resize: none;
    outline: 0;
    padding: 8px 14px;
    border: 1px solid rgb(219, 213, 213);
    transition: all 0.3s ease;
  }
}
